libp11-3_0.4.9-4_i386.deb


Advertisement

Description

libp11-3 - pkcs#11 convenience library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libp11-3_0.4.9-4_i386.deb
Package name libp11-3
Package version 0.4.9
Package release 4
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://github.com/OpenSC/libp11
License -
Maintainer Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
Download size 28.45 KB
Installed size 92.00 KB
Libp11 is a library to simplify using smart cards via PKCS#11
modules.  It was spun of the OpenSC project but can be used with any
pkcs#11 module.

Alternatives

Package Version Architecture Repository
libp11-3_0.4.9-4_amd64.deb 0.4.9 amd64 Debian Main
libp11-3 - - -

Requires

Name Value
libc6 >= 2.4
libssl1.1 >= 1.1.1

Replaces

Name Value
libp11-2 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libp11-3_0.4.9-4_i386.deb
Source Package libp11

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libp11-3 deb package:
    # sudo apt-get install libp11-3

Files

Path
/usr/lib/i386-linux-gnu/libp11.so.3
/usr/lib/i386-linux-gnu/libp11.so.3.4.1
/usr/share/doc/libp11-3/changelog.Debian.gz
/usr/share/doc/libp11-3/copyright

Changelog

2019-02-27 - Eric Dorland <eric@debian.org>
libp11 (0.4.9-4) unstable; urgency=medium
* Drop old override for --enginesdir.
The defaults are now correct. Thanks James Bottomley for the report.
(Closes: 923208)
2018-11-19 - Eric Dorland <eric@debian.org>
libp11 (0.4.9-3) unstable; urgency=medium
* Add correct Breaks/Replaces on libengine-pkcs11-openssl1.1 (Closes: 913066)
2018-11-04 - Eric Dorland <eric@debian.org>
libp11 (0.4.9-2) unstable; urgency=medium
* Add libengine-pkcs11-openssl1.1 transitional package (Closes: 884199)
2018-09-30 - Eric Dorland <eric@debian.org>
libp11 (0.4.9-1) unstable; urgency=medium
* New upstream release
* Fix watch file to fetch signature file
* Import new upstream signing key from MichaƂ Trojnara
* Standards-Version to 4.2.1.1
* Add Rules-Requires-Root: no
* Add new symbols introduced in 0.4.9
2018-02-02 - Eric Dorland <eric@debian.org>
libp11 (0.4.7-3) unstable; urgency=medium
* debhelper to compat version 11
* Move VCS urls to salsa.debian.org
* Standards-Version to 4.1.3
* Force build-deps on libssl >= 1.1 (Closes: 884320)
2017-12-11 - Eric Dorland <eric@debian.org>
libp11 (0.4.7-2) unstable; urgency=medium
* debian/control, debian/libengine-pkcs11-openssl.install, debian/rules:
Rebuild against libssl 1.1 once again. (Closes: #875349)
* debian/control, debian/libp11-3.install, debian/libp11-3.symbols,
debian/rules: Move to openssl 1.1 bumps libp11 soname.
* debian/control: Standards-Version to 4.1.2.
* debian/control: Replaces, Conflict libengine-pkcs11-openssl1.1.
2017-08-07 - Eric Dorland <eric@debian.org>
libp11 (0.4.7-1) unstable; urgency=medium
* New upstream release.
* debian/control, debian/libp11-3.install, debian/libp11-3.symbols,
debian/rules: Revert soname bump.
* debian/control, debian/libengine-pkcs11-openssl.install, debian/rules:
Go back to building agaisnt libssl 1.0 for the moment.
2017-05-21 - Eric Dorland <eric@debian.org>
libp11 (0.4.4-2) experimental; urgency=medium
* Target to experimental.
* debian/control, debian/libengine-pkcs11-openssl.install, debian/rules:
Patch from Luke Faraone to rebuild against libssl 1.1 and fix the path
to the engine directory. (Closes: #846548)
* debian/control, debian/libp11-3.install, debian/libp11-3.symbols,
debian/rules: Moving to openssl 1.1 bumps libp11 soname. (Closes:
#859547)
2017-01-28 - Eric Dorland <eric@debian.org>
libp11 (0.4.4-1) unstable; urgency=medium
* New upstream release.
2016-12-06 - Eric Dorland <eric@debian.org>
libp11 (0.4.3-1) unstable; urgency=medium
* New upstream release. (Closes: #846774)
* debian/patches/0001-Add-enginesexecdir-use-it-instead-of-enginesdir.patch:
Drop upstreamed enginesexecdir patch.
* debian/control: Switch back to libssl 1.0 for the moment.
* debian/compat, debian/control, debian/rules: Switch to debhelper 10.
* debian/libp11-2.symbols: Add LIBP11_2 symbol versions.

See Also

Package Description
libp11-dev_0.4.9-4_i386.deb pkcs#11 convenience library - development files
libp11-kit-dev_0.23.15-2_i386.deb library for loading and coordinating access to PKCS#11 modules - development
libp11-kit0_0.23.15-2_i386.deb library for loading and coordinating access to PKCS#11 modules - runtime
libp4est-1.1_1.1-5+b1_i386.deb Algorithms for Parallel Adaptive Mesh Refinement - shared library
libp4est-dev_1.1-5+b1_i386.deb Algorithms for Parallel Adaptive Mesh Refinement - development files
libp4est-sc-1.1_1.1-5+b1_i386.deb Algorithms for Parallel Adaptive Mesh Refinement - support library
libp8-platform-dev_2.1.0.1+dfsg1-2_i386.deb Pulse-Eight's platform support library -- development files
libp8-platform2_2.1.0.1+dfsg1-2_i386.deb Pulse-Eight's platform support library
libpa-bench-camlp4-dev_113.00.00-2+b1_i386.deb OCaml syntax extension for writing inline benchmarks
libpa-ounit-camlp4-dev_113.00.00-2+b1_i386.deb OCaml Syntax extension for writing inline tests
libpackage-constants-perl_0.06-1_all.deb module to list constants defined in a package
libpackage-deprecationmanager-perl_0.17-1_all.deb module for managing deprecation warnings for Perl distributions
libpackage-locator-perl_0.10-2_all.deb module to find a package among CPAN-like repositories
libpackage-new-perl_0.07-2_all.deb simple base package from which to inherit
libpackage-pkg-perl_0.0020-1_all.deb collection of package manipulation utilities
Advertisement
Advertisement